import { request } from "@/utils/request";
import { ExamParams, RequestActionResult } from "./types/common";
import { ExamOverviewResult, IntimeAuditBatchResult } from "./types/audit";

export const examOverview = (data: ExamParams): Promise<ExamOverviewResult> =>
  request({
    url: "/api/auditor/exam/overview",
    method: "post",
    data,
  });

// 实时审核任务
export const intimeAuditBatch = (
  data: ExamParams
): Promise<IntimeAuditBatchResult> =>
  request({
    url: "/api/auditor/batch/verify/get",
    method: "post",
    data,
  });

// 实时审核任务提交
export const intimeAuditBatchSubmit = (data: {
  batchId: number;
  confirm: boolean;
}): Promise<RequestActionResult> =>
  request({
    url: "/api/auditor/batch/verify/submit",
    method: "post",
    data,
  });

// 批次实时审核任务释放
export const intimeAuditBatchRelease = (
  data: ExamParams
): Promise<{ success: boolean }> =>
  request({
    url: "/api/auditor/batch/verify/release",
    method: "post",
    data,
  });
